Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class RemoveException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.RemoveException

All Implemented Interfaces:
  java.io.Serializable

    public class RemoveException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while removing objects.

See Also:
  Serialized Form

Constructor Summary
`RemoveException(OperationResult operationResult)` Constructs an exception when some error occurred in the search service whilst processing a remove operation.
`RemoveException(OperationResult operationResult, java.util.List<OperationResult> results)` Constructs an exception when some error occurred in the search service whilst processing a remove operation.

Method Summary
`java.util.List<OperationResult>` | `getResults()`

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RemoveException

    public RemoveException(OperationResult operationResult)

  Constructs an exception when some error occurred in the search service whilst processing a remove operation.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

### RemoveException

    public RemoveException(OperationResult operationResult,
                           java.util.List<OperationResult> results)

  Constructs an exception when some error occurred in the search service whilst processing a remove operation.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure
    `results` - the list of `OperationResult` where each result is associated with the id of the object that was requested to be removed

Method Detail

### getResults

    public java.util.List<OperationResult> getResults()

  Returns:
    the list of `OperationResult` where each result is associated with the id of the object that was requested to be removed

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD